net.corda.client.mock

## Class GeneratorsKt

- net.corda.client.mock.GeneratorsKt

-     public class GeneratorsKt

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T> Generator<net.corda.core.contracts.Amount>` | `generateAmount(long min, long max, Generator<? extends T> tokenGenerator)`
    `static Generator<java.util.Currency>` | `generateCurrency()`
    `static Generator<net.corda.core.contracts.Amount>` | `generateCurrencyAmount(long min, long max)`
    `static Generator<net.corda.core.serialization.OpaqueBytes>` | `generateIssueRef(int size)`

- - ### Method Detail

    - #### generateCurrency

          public static Generator<java.util.Currency> generateCurrency()

    - #### generateAmount

          public static <T> Generator<net.corda.core.contracts.Amount> generateAmount(long min,
                                                                                      long max,
                                                                                      Generator<? extends T> tokenGenerator)

    - #### generateCurrencyAmount

          public static Generator<net.corda.core.contracts.Amount> generateCurrencyAmount(long min,
                                                                                          long max)

    - #### generateIssueRef

          public static Generator<net.corda.core.serialization.OpaqueBytes> generateIssueRef(int size)